发布时间 :2004-05-22 00:00:00
修订时间 :2016-10-17 23:05:08

[原文]Multiple cross-site scripting (XSS) vulnerabilities in index.jsp for Liferay before 2.2.0 release 10/1/2004 allow remote attackers to inject arbitrary web script or HTML, as demonstrated using the message subject.

[CNNVD]Liferay Enterprise Portal多重跨站脚本漏洞(CNNVD-200405-057)

        发布于2004年10月1日的Liferay 2.2.0版本的index.jsp存在多个跨站脚本漏洞。远程攻击者借助该漏洞注入任意web脚本或者HTML,正如使用消息主体。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BUGTRAQ  20040522 Liferay Cross Site Scripting Flaw
(UNKNOWN)  BUGTRAQ  20041125 Re: Liferay Cross Site Scripting Flaw
(VENDOR_ADVISORY)  XF  liferay-message-xss(16232)

- 漏洞信息

Liferay Enterprise Portal多重跨站脚本漏洞
中危 跨站脚本
2004-05-22 00:00:00 2009-04-03 00:00:00
        发布于2004年10月1日的Liferay 2.2.0版本的index.jsp存在多个跨站脚本漏洞。远程攻击者借助该漏洞注入任意web脚本或者HTML,正如使用消息主体。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: .
        Liferay Enterprise Portal 1.x
        Liferay Enterprise Portal 2.0 .x
        Liferay Enterprise Portal 2.1 .0
        Liferay Enterprise Portal 2.1.1

- 漏洞信息 (24139)

Liferay Enterprise Portal 1.x/2.x/5.0.2 Multiple XSS Vulnerabilities (EDBID:24139)
jsp webapps
2004-05-22 Verified
0 Sandeep Giri
N/A [点击下载]

It has been reported that Liferay Enterprise Portal is susceptible to multiple cross-site scripting and HTML injection vulnerabilities. User-supplied data from many input fields is included in server generated content without appropriate validation/encoding. This may allow for typical cross-site scripting attacks against other users of the portal. 

Add a message with subject <script>history.go(-1)</script>
Now, no user can see message board. 		

- 漏洞信息

Liferay Enterprise Portal index.jsp Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

Liferey Enterprise Portal contains a flaw that allows a remote cross site scripting attack. This flaw exists due to missing validation of input supplied in various fields (e.g. the "Subject" field of messages posted on the message board). This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-05-22 2004-01-14
2004-05-22 Unknow

- 解决方案

Upgrade to version 2.2.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者